---
title: SVG Styling Attributes
slug: Web/SVG/Attribute/Styling
tags:
  - Attribute
  - Beginner
  - NeedsExample
  - Reference
  - SVG
---
<p>The SVG styling attributes are all the attributes that can be specified on any SVG element to apply CSS styling effects.</p>

<div class="index">
<ul>
 <li><a href="#attr-class"><code>class</code></a></li>
 <li><a href="#attr-style"><code>style</code></a></li>
</ul>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-class">{{SVGAttr('class')}}</dt>
 <dd>Assigns a class name or set of class names to an element. It functions identically to the {{htmlattrxref('class')}} attribute in HTML.<br>
 <small><em>Value</em>: Any valid ID string; <em>Animatable</em>: <strong>Yes</strong></small></dd>
 <dt id="attr-style">{{SVGAttr('style')}}</dt>
 <dd>It specifies style information for its element. It functions identically to the {{htmlattrxref('style')}} attribute in HTML.<br>
 <small><em>Value</em>: Any valid style string; <em>Animatable</em>: <strong>No</strong></small>

 </dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.style")}}</p>
